QGIS Application - Bug report #15893
QgsMapToolNodeTool : missing APP_EXPORT
2016-11-24 11:09 PM - Mark Johnson

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:2.18.0 Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corrupls data: Copied to github as #: 23811
Description

As apposed to the the other 'QgsMapToolEdit' classes, QgsMapToolNodeTool lacks a 'APP_EXPORT' definition in the .h file to make it
assessable elsewhere (such as in a Plugin).

class APP_EXPORT QgsMapToolNodeTool: public QgsMapToolEdit

After this simple change in 'src/app/nodetool/qgsmaptoolnodetool.h’, the plugin is properly linked and runs without fault.

History

#1 - 2016-11-25 06:23 PM - Nyall Dawson

That's a valid bug, but as a side note it's fragile to rely on anything in app in plugins. App does not have stable api and there's no guarantee this class will

remain in future versions.

#2 - 2016-11-25 06:36 PM - Mark Johnson

In georeferencer QgsMapTool are being used and anything that would like to interact with QVectorLayers would want the same functionality.

So maybe a replacement such Tools that interact with QVectorLayers (and thus should always be on-sync with any development in QVectorLayers) should

be considered.

#3 - 2016-11-26 01:48 AM - Jiirgen Fischer

IMHO app isn't part of the API (app headers and libraries are not part of the install) and APP_EXPORT is just to enable tests on app.

#4 - 2017-05-01 01:02 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#5 - 2017-09-22 09:56 AM - Jiirgen Fischer
- Category set to Unknown

#6 - 2019-03-09 03:09 PM - Giovanni Manghi

- Resolution set to end of life
- Status changed from Open to Closed
End of life notice: QGIS 2.18 LTR

Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-Itr/

QGIS 3.4 has recently become our new Long Term Release (LTR) version. This is a major step in our history - a long term release version based on the
massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version
will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the
relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the

ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help
you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and
support the project even more, for the long term improvement and sustainability of the QGIS project.
